Summary: Linux LCD display driver
Name: lcdproc
Version: 0.5.6
Release: 0
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://www.lcdproc.org
Source0: %{name}-%{version}.tar.gz
Source1: LCDd.conf
Source2: LCDd.init
Source4: crystalfontz.pl
Source5: lcdproc-autogen.sh
Source6: lcdproc-configure.ac
Patch0: lcdproc-0.5.5-elastix.patch
Patch1: lcdproc-0.5.5-cfontz-retry-write-on-EAGAIN.patch
Patch2: lcdproc-0.5.6-jbc1602.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: autoconf automake

%description
LCDproc is a piece of software that displays real-time system information from your Linux/*BSD box on a LCD.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cp %{SOURCE5} autogen.sh
chmod +x autogen.sh
cp %{SOURCE6} configure.ac

%build

./autogen.sh
%configure --enable-drivers=all
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 
cat %{SOURCE1} | sed 's|/usr/lib|%{_libdir}|' > %{buildroot}/etc/LCDd.conf
mkdir -p %{buildroot}/etc/rc.d/init.d/
install -m 0755 %{SOURCE2} %{buildroot}/etc/rc.d/init.d/LCDd

# Do not pull perl(Geo::METAR) dependency
rm -f %{buildroot}%{_bindir}/lcdmetar.pl

install -m 0755 %{SOURCE4} %{buildroot}%{_bindir}/crystalfontz.pl

%clean
rm -rf %{buildroot}

%pre

%post
# Add LCDd service, but do not enable it. Prevents program from unnecessarily 
# running on a system without a LCD display
/sbin/chkconfig --add LCDd
/sbin/chkconfig LCDd off

%preun
if [ $1 -eq 0 ] ; then # Check to tell apart update and uninstall
	/sbin/chkconfig --del LCDd
fi

%files
%defattr(-,root,root,-)
%{_bindir}/crystalfontz.pl
%{_bindir}/fortune.pl
%{_bindir}/iosock.pl
%{_bindir}/lcdexec
%{_bindir}/lcdproc
%{_bindir}/lcdvc
%{_bindir}/lcdident.pl
%{_bindir}/tail.pl
%{_bindir}/x11amp.pl
%{_sbindir}/LCDd
%{_datadir}/*
%{_libdir}/lcdproc/*
%config(noreplace) %{_sysconfdir}/*

%changelog
* Fri Jul 26 2013 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.6-0
- Update to 0.5.6
- Add custom driver jbc1602 for new Elastix appliance.
- Tweak goodbye message on lcdproc shutdown.

* Wed Mar 14 2012 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.5-1
- Newer CrystalFontz have a very small buffer that causes failures (EAGAIN)
  on attempts to write all the packet data at once. Patch to retry the write
  on EAGAIN.

* Tue Mar 13 2012 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.5-0
- Update to 0.5.5
- Forked lcdelastix to separate package lcdelastix

* Tue Jun 01 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.2-9
- Remove stray reference to Elastix Dialer

* Mon May 03 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.2-8
- Fix hd.php applet to report disk capacity correctly.
- Fix mem.php applet to subtract cached space from used memory.

* Tue Mar 02 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.2-7
- Add asterisk to Prereq in order to have a valid 'asterisk' user/group
  during ISO installation.
- Patch /etc/LCDd.conf to point to correct libdir on all architectures.
- Be more specific in package files to avoid including debugging files in main RPM.

* Thu Dec 17 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.2-6
- Fix directory ownership in /opt/lcdelastix/

* Mon Aug 25 2008 Alex Villacís <a_villacis@palosanto.com> 0.5.2-5
- Now lcdelastix client is more robust, added as a service (disabled by default)
- Handy utility crystalfontz.pl, useful to set boot-up LCD display.

* Thu Jul 31 2008 Edgar Landivar <e_landivar@palosanto.com> 0.5.2-4
- First lcdproc RPM
